## simplevideomark simplevideomark |

## Properties

gint | bottom-offset | Read / Write / Construct
gboolean | enabled | Read / Write / Construct
gint | left-offset | Read / Write / Construct
gint | pattern-count | Read / Write / Construct
guint64 | pattern-data | Read / Write / Construct
gint | pattern-data-count | Read / Write / Construct
gint | pattern-height | Read / Write / Construct
gint | pattern-width | Read / Write / Construct

## Types and Values

struct | GstSimpleVideoMark

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstSimpleVideoMark

## Description

This plugin produces “pattern-count” squares in the bottom left corner of the video frames. The squares have a width and height of respectively “pattern-width” and “pattern-height”. Even squares will be black and odd squares will be white.

After writing the pattern, “pattern-data-count” squares after the pattern squares are produced as the bitarray given in “pattern-data”. 1 bits will produce white squares and 0 bits will produce black squares.

The element can be enabled with the “enabled” property. It is mostly used together with the GstVideoDetect plugin.

#### Example launch line

    1
    gst-launch-1.0 videotestsrc ! simplevideomark ! videoconvert ! ximagesink

Add the default black/white squares at the bottom left of the video frames.

## Synopsis

### Element Information

plugin | videosignal
author | Wim Taymans <wim@fluendo.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ I420, YV12, Y41B, Y42B, Y444, YUY2, UYVY, AYUV, YVYU }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ I420, YV12, Y41B, Y42B, Y444, YUY2, UYVY, AYUV, YVYU }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSimpleVideoMark

    struct GstSimpleVideoMark;

## Property Details

### The `“bottom-offset”` property

      “bottom-offset”            gint

The offset from the bottom border where the pattern starts.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 0

### The `“enabled”` property

      “enabled”                  gboolean

Enable or disable the filter.

Flags: Read / Write / Construct

Default value: TRUE

### The `“left-offset”` property

      “left-offset”              gint

The offset from the left border where the pattern starts.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 0

### The `“pattern-count”` property

      “pattern-count”            gint

The number of pattern markers.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 4

### The `“pattern-data”` property

      “pattern-data”             guint64

The extra data pattern markers.

Flags: Read / Write / Construct

Default value: 10

### The `“pattern-data-count”` property

      “pattern-data-count”       gint

The number of extra data pattern markers.

Flags: Read / Write / Construct

Allowed values: [0,64]

Default value: 5

### The `“pattern-height”` property

      “pattern-height”           gint

The height of the pattern markers.

Flags: Read / Write / Construct

Allowed values: >= 1

Default value: 16

### The `“pattern-width”` property

      “pattern-width”            gint

The width of the pattern markers.

Flags: Read / Write / Construct

Allowed values: >= 1

Default value: 4

## See Also

GstVideoDetect